package com.huimv.fatten;

import com.dahuatech.icc.exception.ClientException;
import com.dahuatech.icc.oauth.http.DefaultClient;
import com.dahuatech.icc.oauth.http.IClient;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Bean;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@EnableScheduling            //开启定时任务
@SpringBootApplication
public class HuimvFattenApplication {
    public static void main(String[] args) {
        SpringApplication.run(HuimvFattenApplication.class, args);
    }


    @Bean
    public IClient iccDefaultClient() throws ClientException {
        return new DefaultClient();
    }
}


